## org.apache.aries.subsystem.core.internal
Class SubsystemResolverHookFactory

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemResolverHookFactory

All Implemented Interfaces:
  org.osgi.framework.hooks.resolver.ResolverHookFactory

    public class SubsystemResolverHookFactory

extends Object
implements org.osgi.framework.hooks.resolver.ResolverHookFactory

Constructor Summary
`SubsystemResolverHookFactory(Subsystems subsystems)`

Method Summary
`org.osgi.framework.hooks.resolver.ResolverHook` `begin(Collection<org.osgi.framework.wiring.BundleRevision> triggers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemResolverHookFactory

    public SubsystemResolverHookFactory(Subsystems subsystems)

Method Detail

### begin

    public org.osgi.framework.hooks.resolver.ResolverHook begin(Collection<org.osgi.framework.wiring.BundleRevision> triggers)

  Specified by:
    `begin` in interface `org.osgi.framework.hooks.resolver.ResolverHookFactory`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.